Bug 1340082 (CVE-2016-5031) - CVE-2016-5031 libdwarf: Out-of-bounds read in print_frame_inst_bytes() function
Summary: CVE-2016-5031 libdwarf: Out-of-bounds read in print_frame_inst_bytes() function
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-5031
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1340129 1340128
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-26 12:21 UTC by Andrej Nemec
Modified: 2019-09-29 13:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:52:52 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-05-26 12:21:18 UTC
An out-of-bounds vulnerability was found in libdwarf in print_frame_inst_bytes() function.

References:

http://seclists.org/oss-sec/2016/q2/393

External references:

https://www.prevanders.net/dwarfbug.html

Upstream fix:

https://sourceforge.net/p/libdwarf/code/ci/ac6673e32f3443a5d36c2217cb814000930b2c54

Comment 1 Andrej Nemec 2016-05-26 13:42:12 UTC
Created libdwarf tracking bugs for this issue:

Affects: fedora-all [bug 1340128]
Affects: epel-6 [bug 1340129]


Note You need to log in before you can comment on or make changes to this bug.